com.sap.cloud.security.password

## Class PasswordStorageException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sap.cloud.security.password.PasswordStorageException

- All Implemented Interfaces:
    Serializable

      public class PasswordStorageException
      extends RuntimeException

  This exception is thrown in case there are errors while trying to set, get or delete a password via Password storage API.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PasswordStorageException()` Constructs a new runtime exception with `null` as its detail message.
    `PasswordStorageException(String message)` Constructs a new runtime exception with the specified detail message.
    `PasswordStorageException(String message, Throwable cause)` Constructs a new runtime exception with the specified detail message and cause.
    `PasswordStorageException(Throwable cause)` Constructs a new runtime exception with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PasswordStorageException

          public PasswordStorageException()

      Constructs a new runtime exception with `null` as its detail message.

    - #### PasswordStorageException

          public PasswordStorageException(String message)

      Constructs a new runtime exception with the specified detail message.

    - #### PasswordStorageException

          public PasswordStorageException(String message,
                                  Throwable cause)

      Constructs a new runtime exception with the specified detail message and cause.

    - #### PasswordStorageException

          public PasswordStorageException(Throwable cause)

      Constructs a new runtime exception with the specified cause.

Copyright © 2019 SAP. All Rights Reserved.